CertPathValidationContext (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cert.path

## Class CertPathValidationContext

- java.lang.Object
- - org.bouncycastle.cert.path.CertPathValidationContext

- All Implemented Interfaces:
    org.bouncycastle.util.Memoable

      public class CertPathValidationContext
      extends java.lang.Object
      implements org.bouncycastle.util.Memoable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertPathValidationContext(java.util.Set criticalExtensionsOIDs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHandledExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier extensionIdentifier)`
    `org.bouncycastle.util.Memoable` | `copy()`
    `java.util.Set` | `getUnhandledCriticalExtensionOIDs()`
    `boolean` | `isEndEntity()` Returns true if the current certificate is the end-entity certificate.
    `void` | `reset(org.bouncycastle.util.Memoable other)`
    `void` | `setIsEndEntity(boolean isEndEntity)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertPathValidationContext

          public CertPathValidationContext(java.util.Set criticalExtensionsOIDs)

  - ### Method Detail

    - #### addHandledExtension

          public void addHandledExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier extensionIdentifier)

    - #### setIsEndEntity

          public void setIsEndEntity(boolean isEndEntity)

    - #### getUnhandledCriticalExtensionOIDs

          public java.util.Set getUnhandledCriticalExtensionOIDs()

    - #### isEndEntity

          public boolean isEndEntity()

      Returns true if the current certificate is the end-entity certificate.
      Returns:
        if current cert end-entity, false otherwise.

    - #### copy

          public org.bouncycastle.util.Memoable copy()

      Specified by:
        `copy` in interface `org.bouncycastle.util.Memoable`

    - #### reset

          public void reset(org.bouncycastle.util.Memoable other)

      Specified by:
        `reset` in interface `org.bouncycastle.util.Memoable`